Skip to main content
POST
/
users
/
{id}
/
roll-api-key
Error
A valid request URL is required to generate request examples
{
  "attributes": {
    "access_to_sso_config": true,
    "api_key": "<string>",
    "email": "<string>",
    "email_verified": true,
    "groups": [
      {
        "attributes": {
          "catalogues": [
            {
              "attributes": {
                "llm_names": [
                  "<string>"
                ],
                "name": "<string>"
              },
              "id": "<string>",
              "type": "<string>"
            }
          ],
          "data_catalogues": [
            {
              "attributes": {
                "datasources": [
                  {
                    "attributes": {
                      "active": true,
                      "db_conn_api_key": "<string>",
                      "db_conn_string": "<string>",
                      "db_name": "<string>",
                      "db_source_type": "<string>",
                      "embed_api_key": "<string>",
                      "embed_model": "<string>",
                      "embed_url": "<string>",
                      "embed_vendor": "<string>",
                      "files": [
                        {
                          "attributes": {
                            "description": "<string>",
                            "file_name": "<string>",
                            "last_processed_on": "<string>",
                            "length": 123
                          },
                          "id": "<string>",
                          "type": "<string>"
                        }
                      ],
                      "has_db_conn_api_key": true,
                      "has_embed_api_key": true,
                      "icon": "<string>",
                      "long_description": "<string>",
                      "name": "<string>",
                      "namespace": "<string>",
                      "privacy_score": 123,
                      "short_description": "<string>",
                      "tags": [
                        {
                          "attributes": {
                            "name": "<string>"
                          },
                          "id": "<string>",
                          "type": "<string>"
                        }
                      ],
                      "url": "<string>",
                      "user_id": 123
                    },
                    "id": "<string>",
                    "type": "<string>"
                  }
                ],
                "icon": "<string>",
                "long_description": "<string>",
                "name": "<string>",
                "short_description": "<string>",
                "tags": [
                  {
                    "attributes": {
                      "name": "<string>"
                    },
                    "id": "<string>",
                    "type": "<string>"
                  }
                ]
              },
              "id": "<string>",
              "type": "<string>"
            }
          ],
          "name": "<string>",
          "tool_catalogues": [
            {
              "attributes": {
                "icon": "<string>",
                "long_description": "<string>",
                "name": "<string>",
                "short_description": "<string>",
                "tags": [
                  {
                    "attributes": {
                      "name": "<string>"
                    },
                    "id": "<string>",
                    "type": "<string>"
                  }
                ],
                "tools": [
                  {
                    "attributes": {
                      "active": true,
                      "auth_key": "<string>",
                      "auth_schema_name": "<string>",
                      "dependencies": "<array>",
                      "description": "<string>",
                      "file_stores": [
                        {
                          "attributes": {
                            "description": "<string>",
                            "file_name": "<string>",
                            "last_processed_on": "<string>",
                            "length": 123
                          },
                          "id": "<string>",
                          "type": "<string>"
                        }
                      ],
                      "filters": [
                        {
                          "attributes": {
                            "description": "<string>",
                            "name": "<string>",
                            "namespace": "<string>",
                            "response_filter": true,
                            "script": [
                              123
                            ]
                          },
                          "id": "<string>",
                          "type": "<string>"
                        }
                      ],
                      "name": "<string>",
                      "namespace": "<string>",
                      "oas_spec": "<string>",
                      "operations": [
                        "<string>"
                      ],
                      "privacy_score": 123,
                      "tool_type": "<string>"
                    },
                    "id": "<string>",
                    "type": "<string>"
                  }
                ]
              },
              "id": "<string>",
              "type": "<string>"
            }
          ],
          "users": "<array>"
        },
        "id": "<string>",
        "type": "<string>"
      }
    ],
    "is_admin": true,
    "name": "<string>",
    "notifications_enabled": true,
    "role": "<string>",
    "show_chat": true,
    "show_portal": true
  },
  "id": "<string>",
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
integer
required

User ID

Response

OK

User response model

attributes
object
id
string
type
string